Bug 89571

Summary: [NV46] XFX 7300 GS - Black screen with DVI when KMS(nouveau) starts - VGA working
Product: xorg Reporter: bxmixzxm
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: NEW --- QA Contact: Xorg Project Team <xorg-team>
Severity: blocker    
Priority: medium    
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
vbios XFX Nvidia 7300 GS 256MB none

Description bxmixzxm 2015-03-13 15:38:59 UTC
Created attachment 114287 [details]
vbios XFX Nvidia 7300 GS 256MB

I already talked in IRC #nouveau before reporting this bug.

Card:
http://images10.newegg.com/NeweggImage/ProductImageCompressAll300/14-150-410-02.jpg

Problem: Card connected to an 24" 1920x1200 monitor via DVI. Everything is working fine with windows and DVI at full resolution.
When booting any Linux live, i get a black screen directly when KMS starts. BIOS post and VESA works fine with DVI.
To get a picture with nouveau, i had to connect the same monitor via VGA cable to the nvidia card. I get then an 1024x768 resolution.

After boot with VGA i remove the VGA cable and connect DVI to get some logfiles for debugging.
first:
for p in /sys/class/drm/*/status; do con=${p%/status}; echo -n "${con#*/card?-}: "; cat $p; done

reports in VGA-mode:
DVI-I-1: disconnected
TV-1: connected
TV-2: disconnected

reports in DVI-mode (no working screen):
DVI-I-1: disconnected
TV-1: disconnected
TV-2: disconnected

The xorg log:
https://pastebin.mozilla.org/8825681

the dmesg:
https://pastebin.mozilla.org/8825682

The vbios from /sys/kernel/debug/dri/0/ :
http://www.file-upload.net/download-10414782/vbios.rom.html
(also attached to this bug as attachment)

The IRC log with some additional information that are maybe usefull:
https://pastebin.mozilla.org/8825683


Would be nice to get able to use this computer with nouveau and DVI with normal resolution.
Comment 1 Ilia Mirkin 2015-03-13 15:44:31 UTC
Please provide dmesg from a boot with

nouveau.debug=trace drm.debug=0xe

Both with VGA plugged in, and with DVI plugged in. Also, please attach files to the bug, not pastebins (which expire). Include the full dmesg, not a grep for 'nouveau'. There are other things that are interesting in there.
Comment 2 Emil Velikov 2015-03-16 16:20:55 UTC
A small note - there has been other XFX cards with messed up DCB table.
See the current kernel [1] for examples

[1] https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/drivers/gpu/drm/nouveau/nouveau_bios.c?id=refs/tags/v4.0-rc4#n1678
Comment 3 bxmixzxm 2015-03-17 20:01:05 UTC
 lspci -vvnn -d 10de:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G72 [GeForce 7300 GS] [10de:01df] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: XFX Pine Group Inc. Device [1682:2200]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 50
	Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
	Expansion ROM at fe000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee00000  Data: 0000
	Capabilities: [78] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <256ns, L1 <4us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Exit Latency L0s <256ns, L1 <4us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 128 bytes Disabled- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [128 v1] Power Budgeting <?>
	Kernel driver in use: nouveau
Comment 4 bxmixzxm 2015-03-17 20:19:40 UTC
Following boot command makes it possible to use the full resolution over VGA cable in X:
video=TV-1:1920x1200@60

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.